欢迎光临
我们一直在努力

OpenSSL 拒绝服务、证书绕过漏洞通告

 

0x01漏洞简述

2021年03月26日,360CERT监测发现OpenSSL发布了OpenSSL的安全更新风险通告,漏洞编号为CVE-2021-3450,CVE-2021-3449,漏洞等级:高危,漏洞评分:8.8

OpenSSL是一个开放源代码的软件库包,应用程序可以使用这个包来进行安全通信,同时确认连接者身份。这个包广泛被应用在互联网的网页服务器上。 例如:cisco设备apache servernginx server等。

对此,360CERT建议广大用户及时将OpenSSL升级到最新版本。与此同时,请做好资产自查以及预防工作,以免遭受黑客攻击。

 

0x02风险等级

360CERT对该漏洞的评定结果如下

评定方式 等级
威胁等级 高危
影响面 广泛
360CERT评分 8.8

 

0x03漏洞详情

CVE-2021-3450: 证书校验漏洞

CVE: CVE-2021-3450

组件: openssl

漏洞类型: 证书校验

影响: 通信、流量劫持

简述: 在开启 X509_V_FLAG_X509_STRICT 选项的 openssl 服务器上,由于OpenSSL对X.509证书链的验证逻辑中存在问题,导致受影响的系统接受由非CA证书或证书链签名的有效证书。攻击者可以通过使用任何有效的证书或证书链来签名精心制作的证书来利用此漏洞。成功的利用可能使攻击者能够进行中间人(MiTM)攻击并获取敏感信息(例如:访问受证书身份验证保护的网络或资产,窃听加密通信内容)。

CVE-2021-3449: 拒绝服务漏洞

CVE: CVE-2021-3449

组件: openssl

漏洞类型: 拒绝服务

影响: 服务宕机

简述: OpenSSL TLSv1.2 重新协商选项(默认开启)中存在一处空指针解引用,并导致拒绝服务。

 

0x04影响版本

– openssl:openssl: 1.1.1h~1.1.1j

 

0x05修复建议

通用修补建议

升级到 openssl1.1.1k

临时修补建议

针对 CVE-2021-3449 漏洞可以通过如下方式进行自我检测。

openssl s_client -tls1_2 -connect your_domain:443
[按下 R键]

查看关键词RENEGOTIATING下方是否有包含verify关键词的内容。若存在则受到影响

若出现write:errno=0则标识不受到该漏洞影响

 

0x06产品侧解决方案

360城市级网络安全监测服务

360CERT的安全分析人员利用360安全大脑的QUAKE资产测绘平台(quake.360.cn),通过资产测绘技术的方式,对该漏洞进行监测。可联系相关产品区域负责人或(quake#360.cn)获取对应产品。

 

0x07时间线

2021-03-25 OpenSSL发布安全更新

2021-03-26 360CERT发布通告

 

0x08参考链接

1、 OpenSSL Vulnerabilities

 

0x09特制报告下载链接

一直以来,360CERT对全球重要网络安全事件进行快速通报、应急响应。为更好地为政企用户提供最新漏洞以及信息安全事件的安全通告服务,现360CERT正式推出安全通告特制版报告,以便用户做资料留存、传阅研究与查询验证。 用户可直接通过以下链接进行特制报告的下载。

OpenSSL 拒绝服务、证书绕过漏洞通告

若有订阅意向与定制需求请发送邮件至 g-cert-report#360.cn ,并附上您的 公司名、姓名、手机号、地区、邮箱地址。

赞(0) 打赏
未经允许不得转载:中国宏阔黑客联盟|白帽黑客|网络渗透技术|网站安全|移动安全|通信安全 » OpenSSL 拒绝服务、证书绕过漏洞通告
分享到: 更多 (0)

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏